# grunt-nightwatch-report

> Aggregate and process Nightwatch.js test suite reports to create easy to digest HTML reports.

## Getting Started
This plugin requires Grunt `~0.4.5`

If you haven't used [Grunt](http://gruntjs.com/) before, be sure to check out the [Getting Started](http://gruntjs.com/getting-started) guide, as it explains how to create a [Gruntfile](http://gruntjs.com/sample-gruntfile) as well as install and use Grunt plugins. Once you're familiar with that process, you may install this plugin with this command:

```shell
npm install grunt-nightwatch-report --save-dev
```

Once the plugin has been installed, it may be enabled inside your Gruntfile with this line of JavaScript:

```js
grunt.loadNpmTasks('grunt-nightwatch-report');
```

## The "nightwatch_report" task

### Overview
This task will take as input the xml reports generated by Nightwatch.js test suite runs and create from them an HTML based summary report which contains information of all test suites.  An index.html and summary.json file will be generated.  summary.json contains the basic data extracted from the Nightwatch.js reports, which index.html is the visual representation of that summarized data.

In your project's Gruntfile, add a section named `nightwatch_report` to the data object passed into `grunt.initConfig()`.

```js
grunt.initConfig({
  nightwatch_report: {
      files: ['test/reports/**/*.xml'],
      options: {
        outputDir: 'test/reports/summary'
      }
  },
});
```

### Options

#### files
Type: `Array[String]`
Default value: `''`

An arrary of file search paths that identify the Nightwatch.js report files that should be processed.

#### options.outputDir
Type: `String`
Default value: `''`

The relative path (fromt he working directory) where the generated files should be published to.  If not present or left empty the default is the current working directory.  For each execution of the report generation a timestamped sub-directory will be created here.  That sub-directory will contain the summary report files.

### Usage Examples

#### Default Options
In this example the Nightwatch.js reports found in any sub-directory of '/test/reports/ with the extension .xml will be processed and used to generate a summary report that will be output to /test/reports/summary/.

```js
grunt.initConfig({
  nightwatch_report: {
      files: ['test/reports/**/*.xml'],
      options: {
        outputDir: 'test/reports/summary'
      }
  },
});
```

## Release History
0.0.1 - Initial release with basic functionality.
